package com.cse340.counter;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

public class EventExampleActivity extends AppCompatActivity implements View.OnClickListener {

    private class MyButtonListener implements View.OnClickListener {
        @Override
        public void onClick(View v) {
            incrementCount(v);
        }
    }

    // An anonymous inner class as a member variable in an Activity
    View.OnClickListener mButtonClickListener = new View.OnClickListener() {
        @Override
        public void onClick(View v) {
            incrementCount(v);
        }
    };

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        Button b1 = findViewById(R.id.button_one);
        if (b1 != null) {  // Should always check for null
            b1.setOnClickListener(new MyButtonListener());
        }
        Button b2 = findViewById(R.id.button_two);
        if (b2 != null) {  // Should always check for null
            b2.setOnClickListener(mButtonClickListener);
        }
        Button b3 = findViewById(R.id.button_three);
        if (b3 != null) {  // Should always check for null
            b3.setOnClickListener(this);
        }
        Button b4 = findViewById(R.id.button_four);
        if (b4 != null) {  // Should always check for null
            b4.setOnClickListener(new View.OnClickListener() {
                public void onClick(View v) {
                    incrementCount(v);
                }
            });
        }
        Button b5 = findViewById(R.id.button_five);
        if (b5 != null) {  // Should always check for null
            b5.setOnClickListener((View v) -> incrementCount(v));
        }
    }

    // Here's where you do the implementation of your listener
    @Override
    public void onClick(View v) {
        incrementCount(v);
    }

    /** Method to increment the count field */
    private void incrementCount(View v) {
        TextView counter = findViewById(R.id.count);
        String textCount = counter.getText().toString();
        int count = Integer.parseInt(textCount);
        counter.setText("" + ++count);

        ((TextView)findViewById(R.id.whichButton)).setText(((Button)v).getText());

    }

}
